=== modified file 'breezy/git/tests/test_object_store.py'
--- breezy/git/tests/test_object_store.py	2019-02-16 21:29:56 +0000
+++ breezy/git/tests/test_object_store.py	2019-03-05 09:17:49 +0000
@@ -44,6 +44,7 @@
     TestCase,
     TestCaseWithTransport,
     )
+from ...tests.features import SymlinkFeature
 
 from ..cache import (
     DictGitShaMap,
@@ -171,6 +172,7 @@
         self.assertEqual(b, self.store[b.id])
 
     def test_directory_converted_to_symlink(self):
+        self.requireFeature(SymlinkFeature)
         b = Blob()
         b.data = b'trgt'
         self.store.lock_read()

=== modified file 'breezy/tests/blackbox/test_bisect.py'
--- breezy/tests/blackbox/test_bisect.py	2018-11-11 04:08:32 +0000
+++ breezy/tests/blackbox/test_bisect.py	2019-03-05 09:17:49 +0000
@@ -28,6 +28,7 @@
 from .. import (
     KnownFailure,
     TestCaseWithTransport,
+    TestSkipped,
     )
 from ...bzr.bzrdir import BzrDir
 

=== modified file 'breezy/tests/blackbox/test_remove.py'
--- breezy/tests/blackbox/test_remove.py	2018-11-17 18:49:41 +0000
+++ breezy/tests/blackbox/test_remove.py	2019-03-05 09:17:49 +0000
@@ -23,6 +23,7 @@
     features,
     TestCaseWithTransport,
     TestSkipped,
+    TestNotApplicable,
     )
 from breezy.workingtree import WorkingTree
 from breezy import osutils
@@ -278,7 +279,7 @@
     def test_remove_backslash(self):
         # pad.lv/176263
         if os.path.sep == '\\':
-            raise tests.TestNotApplicable(
+            raise TestNotApplicable(
                 'unable to add filenames with backslashes where '
                 ' it is the path separator')
         tree = self.make_branch_and_tree('.')

=== modified file 'breezy/tests/test_script.py'
--- breezy/tests/test_script.py	2018-11-20 21:24:08 +0000
+++ breezy/tests/test_script.py	2019-03-05 09:17:49 +0000
@@ -322,12 +322,12 @@
     def test_cat_input_to_file(self):
         retcode, out, err = self.run_command(['cat', '>file'],
                                              'content\n', None, None)
-        self.assertFileEqual(b'content\n', 'file')
+        self.assertFileEqual('content\n', 'file')
         self.assertEqual(None, out)
         self.assertEqual(None, err)
         retcode, out, err = self.run_command(['cat', '>>file'],
                                              'more\n', None, None)
-        self.assertFileEqual(b'content\nmore\n', 'file')
+        self.assertFileEqual('content\nmore\n', 'file')
         self.assertEqual(None, out)
         self.assertEqual(None, err)
 

